%define	name	kronolith
%define	version	1.1
%define	release	10mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	The Horde calendar application
License:	LGPL
Group:		System/Servers
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-apache.conf.bz2
Patch0:		%{name}-calendar_path.patch.bz2
Patch1:		%{name}-login_url.patch.bz2
URL:		http://www.horde.org/kronolith/
Requires:	horde >= 2.2.1
Requires:	imp
Requires:	mod_php >= 4.3.0
Requires:	php-mcal php-pear-Date php-pear-HTML_Common php-pear-HTML_Select
Requires:	apache2-common
Provides:	ADVXpackage
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Kronolith is the Horde calendar application. It provides a stable and
featureful individual calendar system for every Horde user, and
collaboration/scheduling features are starting to take shape. It makes
extensive use of the Horde Framework to provide integration with other
applications.

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
%ADVXinstconf %{SOURCE1} %{order}_%{name}.conf

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{name}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/scripts
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/*.dist; do
	mv $file ${file%.dist}
done

perl -pi -e "s|\['calendar'\]\['params'\]\['username'\] =.*$|['calendar']['params']['username'] = 'kronolith';|" $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/conf.php

%clean
rm -rf $RPM_BUILD_ROOT

%post
mcalpass=`perl -le'print map { (a..z,A..Z,0..9)[rand 62] } 0..pop' 12`
htpasswd -b /etc/mpasswd kronolith "$mcalpass"
perl -pi -e "s|\['calendar'\]\['params'\]\['password'\] =.*$|['calendar']['params']['password'] = '$mcalpass';|" %{ap_htdocsdir}/horde/%{name}/config/conf.php
%ADVXpost

%postun
%ADVXpost
htpasswd -bD /etc/mpasswd kronolith ""

%files
%defattr(-,root,root)
%doc README COPYING docs
# Apache configuration file
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf
# scripts
%{_datadir}/%{name}
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{name}
%{ap_htdocsdir}/horde/%{name}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{name}/graphics
%{ap_htdocsdir}/horde/%{name}/lib
%{ap_htdocsdir}/horde/%{name}/templates
%{ap_htdocsdir}/horde/%{name}/util
%{ap_htdocsdir}/horde/%{name}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{name}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{name}/config/*.php

%changelog
* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-10mdk
- require imp not only in changelog...

* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-9mdk
- Requires imp
- fix bad redirect after login (Patch1)

* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-8mdk
- oops remove useless Requires

* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-7mdk
- make kronolith work out-of-the-box using mcal

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 1.1-6mdk
- requires php-pear-HTML_Common and php-pear-HTML_Select

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 1.1-5mdk
- requires php-pear-Date

* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.1-4mdk
- untagged localisation files
- no more .htaccess files, use %{ap_confd}/%{order}_%{name}.conf instead
- scripts now in  %{_datadir}/{name}

* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1-3mdk
- first mdk release
